
Redmine - Feature #8810

Cipher password on repository table

2011-07-14 10:43 - Jarauta Jarauta

Status: Closed Start date: 2011-07-14

Priority: Normal Due date: 2011-07-21

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

The password in the database for connecting a subversion repository is storaged in plain-text.

It could be storaged in any ciphred method.

History

#1 - 2011-07-14 14:12 - Etienne Massip

- Category changed from Database to SCM extra

- Assignee deleted (Jean-Philippe Lang)

- Estimated time changed from 20.00 h to 0.00 h

#2 - 2011-07-14 14:47 - Etienne Massip

- Subject changed from Ciphred password on repository table to Cipher password on repository table

#3 - 2011-07-18 22:48 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

See database_cipher_key parameter in config/configuration.yml.

#4 - 2011-08-12 14:05 - Jarauta Jarauta

I've tried this option, and it works for password stored in the database, but it doesn't work for passwords written by users at the time they configurate

their svns
